// START A3HEADER
//
// The Atlantis program, and all of it's source code (including
// this file) is Copyright (c) 1995-1998 by Geoff Dunbar. This
// source code is distributed under the terms of the license
// agreement in the file LICENSE.txt. If this file was not included
// with the source code you received, you may not use, modify, or
// distribute this source code.
//
// See the Atlantis Project web page for details:
// http://www.prankster.com/project
//
// END A3HEADER
#ifndef FILE_IO
#define FILE_IO

#include "astring.h"

class ifstream;
class ofstream;

class Ainfile {
public:
  Ainfile();
  ~Ainfile();
	
  void Open(const AString &);
  int OpenByName(const AString &);
  void Close();
  
  AString * GetStr();
  AString * GetStrNoSkip();
  int GetInt();
  
  ifstream * file;
};

class Aoutfile {
public:
  Aoutfile();
  ~Aoutfile();
  
  void Open(const AString &);
  int OpenByName(const AString &);
  void Close();
	
  void PutStr(char *);
  void PutStr(const AString &);
  void PutInt(int);
  
  ofstream * file;
};

class Aorders {
public:
  Aorders();
  ~Aorders();
  
  void Open(const AString &);
  int OpenByName(const AString &);
  void Close();
  
  AString * GetLine();
  
  ifstream * file;
};

class Areport {
public:
  Areport();
  ~Areport();
	
  void Open(const AString &);
  int OpenByName(const AString &);
  void Close();
  
  void AddTab();
  void DropTab();
  void ClearTab();
  
  void PutStr(const AString &,int = 0);
  void PutNoFormat(const AString &);
  void EndLine();
	
  ofstream * file;
  int tabs;
};

#endif
