// START A3HEADER
//
// The Atlantis program, and all of it's source code (including
// this file) is Copyright (c) 1995-1998 by Geoff Dunbar. This
// source code is distributed under the terms of the license
// agreement in the file LICENSE.txt. If this file was not included
// with the source code you received, you may not use, modify, or
// distribute this source code.
//
// See the Atlantis Project web page for details:
// http://www.prankster.com/project
//
// END A3HEADER
#include "gameio.h"
#include "gamedefs.h"
#include <stdlib.h>
#include <stdio.h>
#include <iostream.h>
#include <fstream.h>

static int lines = 0;

#define ENDLINE '\n'
char buf[256];

void cleartoendl()
{
    char ch = ' ';
    while (!(cin.eof()) && (ch != ENDLINE))
    {
        ch = cin.get();
    }
}

void initIO()
{
    srand(1783);
}

void doneIO()
{
}

int getrandom(int range)
{
    if (!range) return 0;
    long i = (long) rand();
    i = i % range;
    return (int) i;
}

void seedrandom(int num)
{
    srand(num);
}

int Agetint()
{
    int x;
    cin >> x;
    cleartoendl();
    return x;
}

void Awrite(const AString & s)
{
    cout << s << ENDLINE;
}

void Adot()
{
    cout << ".";
}

void message(char * c)
{
    cout << c << ENDLINE;
    morewait();
}

void morewait()
{
    cout << ENDLINE;
    cin.getline(buf,256,ENDLINE);
    cout << ENDLINE;
}


AString * getfilename(const AString & s)
{
    cout << s;
    return( AGetString() );
}

AString *AGetString()
{
    cin.getline( buf, 256, ENDLINE );
    return( new AString( buf ));
}
