// START A3HEADER
//
// The Atlantis program, and all of it's source code (including
// this file) is Copyright (c) 1995-1998 by Geoff Dunbar. This
// source code is distributed under the terms of the license
// agreement in the file LICENSE.txt. If this file was not included
// with the source code you received, you may not use, modify, or
// distribute this source code.
//
// See the Atlantis Project web page for details:
// http://www.prankster.com/project
//
// END A3HEADER
#ifndef MARKET_CLASS
#define MARKET_CLASS

#include "alist.h"
#include "fileio.h"

enum {
  M_BUY,
  M_SELL
};

class Market : public AListElem {
public:
  Market();

  /* type, item, price, amount, minpop, maxpop, minamt, maxamt */
  Market(int,int,int,int,int,int,int,int);

  int type;
  int item;
  int price;
  int amount;
  
  int minpop;
  int maxpop;
  int minamt;
  int maxamt;

  int baseprice;
  int activity;

  void PostTurn(int,int);
  void Writeout(Aoutfile * f);
  void Readin(Ainfile * f);
  AString Report();
};

class MarketList : public AList {
public:
  void PostTurn(int,int);
  void Writeout(Aoutfile * f);
  void Readin(Ainfile * f);
};

#endif
