// START A3HEADER
//
// The Atlantis program, and all of it's source code (including
// this file) is Copyright (c) 1995-1998 by Geoff Dunbar. This
// source code is distributed under the terms of the license
// agreement in the file LICENSE.txt. If this file was not included
// with the source code you received, you may not use, modify, or
// distribute this source code.
//
// See the Atlantis Project web page for details:
// http://www.prankster.com/project
//
// END A3HEADER
#ifndef OBJECT_CLASS
#define OBJECT_CLASS

class Object;

#include "alist.h"
#include "fileio.h"
#include "gamedefs.h"
#include "faction.h"

#define I_WOOD_OR_STONE -2

class ObjectType {
public:
  char * name;
  int protect;
  int capacity;
  int item;
  int cost;
  int level;
  int skill;
  int sailors;
  int canenter;
  int monster;
  int production;
};

extern ObjectType * ObjectDefs;

int ParseObject(AString *);

int ObjectIsShip(int);

class Object : public AListElem
{
public:
    Object( ARegion *region );
    ~Object();
  
    void Readin( Ainfile *f, AList *, ATL_VER v );
    void Writeout( Aoutfile *f );
    void Report(Areport *,Faction *,int,int,int);
  
    void SetName(AString *);
    void SetDescribe(AString *);
  
    Unit *GetUnit(int);
    Unit *GetUnitAlias(int,int); /* alias, faction number */
    Unit *GetUnitId(UnitId *,int);

    int IsBoat();
    int IsBuilding();
    int CanModify();
    int CanEnter(ARegion *,Unit *);
    Unit *ForbiddenBy(ARegion *, Unit *);
    Unit *GetOwner();

    void MoveObject( ARegion *toreg );

    AString * name;
    AString * describe;
    ARegion *region;
    int inner;
    int num;
    int type;
    int incomplete;
    int capacity;
    int runes;
    AList units;
};

#endif
