// START A3HEADER
//
// The Atlantis program, and all of it's source code (including
// this file) is Copyright (c) 1995-1998 by Geoff Dunbar. This
// source code is distributed under the terms of the license
// agreement in the file LICENSE.txt. If this file was not included
// with the source code you received, you may not use, modify, or
// distribute this source code.
//
// See the Atlantis Project web page for details:
// http://www.prankster.com/project
//
// END A3HEADER
#include "orders.h"

char * od[] = {
  "#atlantis",
  "#end",
  "unit",
  "address",
  "advance",
  "assassinate",
  "attack",
  "autotax",
  "avoid",
  "behind",
  "build",
  "buy",
  "cast",
  "claim",
  "combat",
  "consume",
  "declare",
  "describe",
  "destroy",
  "end",
  "enter",
  "entertain",
  "faction",
  "find",
  "forget",
  "form",
  "give",
  "guard",
  "hold",
  "leave",
  "move",
  "name",
  "noaid",
  "option",
  "password",
  "pillage",
  "produce",
  "promote",
  "quit",
  "restart",
  "reveal",
  "sail",
  "sell",
  "show",
  "steal",
  "study",
  "tax",
  "teach",
  "work"
};

char ** OrderStrs = od;

int Parse1Order(AString * token) {
  for (int i=0; i<NORDERS; i++)
    if (*token == OrderStrs[i]) return i;
  return -1;
}

Order::Order() {
  type = NORDERS;
}

Order::~Order() {
}

MoveOrder::MoveOrder() {
  type = O_MOVE;
}

MoveOrder::~MoveOrder() {
}

ForgetOrder::ForgetOrder() {
  type = O_FORGET;
}

ForgetOrder::~ForgetOrder() {
}

GiveOrder::GiveOrder() {
  type = O_GIVE;
}

GiveOrder::~GiveOrder() {
  delete target;
}

StudyOrder::StudyOrder() {
  type = O_STUDY;
}

StudyOrder::~StudyOrder() {
}

TeachOrder::TeachOrder() {
  type = O_TEACH;
}

TeachOrder::~TeachOrder() {
}

ProduceOrder::ProduceOrder() {
  type = O_PRODUCE;
}

ProduceOrder::~ProduceOrder() {
}

BuyOrder::BuyOrder() {
  type = O_BUY;
}

BuyOrder::~BuyOrder() {
}

SellOrder::SellOrder() {
  type = O_SELL;
}

SellOrder::~SellOrder() {
}

AttackOrder::AttackOrder() {
  type = O_ATTACK;
}

AttackOrder::~AttackOrder() {
}

BuildOrder::BuildOrder() {
  type = O_BUILD;
}

BuildOrder::~BuildOrder() {
}

SailOrder::SailOrder() {
  type = O_SAIL;
}

SailOrder::~SailOrder() {
}

FindOrder::FindOrder() {
  type = O_FIND;
}

FindOrder::~FindOrder() {
}

StealOrder::StealOrder() {
  type = O_STEAL;
}

StealOrder::~StealOrder() {
  if (target) delete target;
}

AssassinateOrder::AssassinateOrder() {
  type = O_ASSASSINATE;
}

AssassinateOrder::~AssassinateOrder() {
  if (target) delete target;
}

CastOrder::CastOrder() {
  type = O_CAST;
}

CastOrder::~CastOrder() {
}

CastMindOrder::CastMindOrder() {
  id = 0;
}

CastMindOrder::~CastMindOrder() {
  delete id;
}

TeleportOrder::TeleportOrder() {
}

TeleportOrder::~TeleportOrder() {
}

CastRegionOrder::CastRegionOrder() {
}

CastRegionOrder::~CastRegionOrder() {
}

CastIntOrder::CastIntOrder() {
}

CastIntOrder::~CastIntOrder() {
}

CastUnitsOrder::CastUnitsOrder() {
}

CastUnitsOrder::~CastUnitsOrder() {
}

